Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.ItemSelectionMode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.ItemSelectionMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.ItemSelectionMode

extends java.lang.Enum
implements QtEnumerator

This enum is used in `QGraphicsItem`, `QGraphicsScene` and `QGraphicsView` to specify how items are selected, or how to determine if a shapes and items collide.

See also:
  `QGraphicsScene::items()`, `QGraphicsScene::collidingItems()`, `QGraphicsView::items()`, `QGraphicsItem::collidesWithItem()`, and `QGraphicsItem::collidesWithPath()`.

See Also:
  Serialized Form

Field Summary
`static Qt.ItemSelectionMode` | `ContainsItemBoundingRect` The output list contains only items whose `bounding rectangle` is fully contained inside the selection area.
`static Qt.ItemSelectionMode` | `ContainsItemShape` The output list contains only items whose `shape` is fully contained inside the selection area.
`static Qt.ItemSelectionMode` | `IntersectsItemBoundingRect` The output list contains both items whose `bounding rectangle` is fully contained inside the selection area, and items that intersect with the area's outline.
`static Qt.ItemSelectionMode` | `IntersectsItemShape` The output list contains both items whose `shape` is fully contained inside the selection area, and items that intersect with the area's outline.

Method Summary
`static Qt.ItemSelectionMode` | `resolve(int value)` Returns the ItemSelectionMode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.ItemSelectionMode` | `valueOf(java.lang.String name)`
`static Qt.ItemSelectionMode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ContainsItemShape

    public static final Qt.ItemSelectionMode ContainsItemShape

  The output list contains only items whose `shape` is fully contained inside the selection area. Items that intersect with the area's outline are not included.

### IntersectsItemShape

    public static final Qt.ItemSelectionMode IntersectsItemShape

  The output list contains both items whose `shape` is fully contained inside the selection area, and items that intersect with the area's outline. This is a common mode for rubber band selection.

### ContainsItemBoundingRect

    public static final Qt.ItemSelectionMode ContainsItemBoundingRect

  The output list contains only items whose `bounding rectangle` is fully contained inside the selection area. Items that intersect with the area's outline are not included.

### IntersectsItemBoundingRect

    public static final Qt.ItemSelectionMode IntersectsItemBoundingRect

  The output list contains both items whose `bounding rectangle` is fully contained inside the selection area, and items that intersect with the area's outline. This method is commonly used for determining areas that need redrawing.

Method Detail

### values

    public static Qt.ItemSelectionMode[] values()

### valueOf

    public static Qt.ItemSelectionMode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.ItemSelectionMode resolve(int value)

  Returns the ItemSelectionMode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD